<?php
require_once 'DB_Mysql_WEB.php';
require_once 'Authentication.php';
require_once 'AuthException.php';

function check_auth() { 
  try {
    $dbh = new DB_Mysql_WEB;
    $auth = new Authentication();
    $auth->set_db($dbh);
    if (!isset($_SERVER['PHP_AUTH_USER']) || !isset($_SERVER['PHP_AUTH_PW']))
      throw new AuthException('Musíte se přihlásit...');
    $auth->check_credentials($_SERVER['PHP_AUTH_USER'], $_SERVER['PHP_AUTH_PW']);
  }
  catch (AuthException $e) {
    header('WWW-Authenticate: Basic realm="Basic Auth Intro"');
    header('HTTP/1.0 401 Unauthorized');

    print_r("HTTP/1.0 401 Unauthorized");

    exit;
  }  
}

?>
